Skip to main content
GET
/
organizations
/
{orgId}
/
users
/
me
Retrieve current user information
curl --request GET \
  --url https://api.m3ter.com/organizations/{orgId}/users/me \
  --header 'Authorization: Bearer <token>'
{
  "user": {
    "id": "<string>",
    "version": 123,
    "firstName": "<string>",
    "lastName": "<string>",
    "contactNumber": "<string>",
    "email": "<string>",
    "organizations": [
      "<string>"
    ],
    "firstAcceptedTermsAndConditions": "2023-11-07T05:31:56Z",
    "lastAcceptedTermsAndConditions": "2023-11-07T05:31:56Z",
    "supportUser": true,
    "dtCreated": "2023-11-07T05:31:56Z",
    "dtLastModified": "2023-11-07T05:31:56Z",
    "createdBy": "<string>",
    "lastModifiedBy": "<string>"
  },
  "serviceUser": {
    "id": "<string>",
    "version": 123,
    "name": "<string>",
    "dtCreated": "2023-11-07T05:31:56Z",
    "dtLastModified": "2023-11-07T05:31:56Z",
    "createdBy": "<string>",
    "lastModifiedBy": "<string>"
  },
  "organization": {
    "id": "<string>",
    "version": 123,
    "orgId": "<string>",
    "customerId": "<string>",
    "organizationName": "<string>",
    "shortName": "<string>",
    "addressLine1": "<string>",
    "addressLine2": "<string>",
    "addressLine3": "<string>",
    "addressLine4": "<string>",
    "locality": "<string>",
    "region": "<string>",
    "postCode": "<string>",
    "country": "<string>",
    "taxId": "<string>",
    "purchaseOrderNumber": "<string>",
    "invoiceGeneralReference": "<string>",
    "billingContactUserId1": "<string>",
    "billingContactUserId2": "<string>",
    "billingContactUserId3": "<string>",
    "type": "PRODUCTION",
    "status": "ACTIVE",
    "dtCreated": "2023-11-07T05:31:56Z",
    "dtLastModified": "2023-11-07T05:31:56Z",
    "createdBy": "<string>",
    "lastModifiedBy": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.m3ter.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.

The authorizationCode flow controls access for human users via the m3ter Console application.

Response

GetMe 200 response

user
object
serviceUser
object
organization
object